Bug Hunting Session
Bug 90191 - TOC: Column spacing shouldnt be set to 0.00"
Summary: TOC: Column spacing shouldnt be set to 0.00"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: easyHack
Depends on:
Blocks: TableofContents-Indexes
  Show dependency treegraph
 
Reported: 2015-03-24 08:22 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-01-14 09:39 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
page 68 (969.28 KB, image/png)
2017-08-29 07:28 UTC, Regina Henschel
Details
page 69 (820.51 KB, image/png)
2017-08-29 07:29 UTC, Regina Henschel
Details
page 70 (533.08 KB, image/png)
2017-08-29 07:30 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-03-24 08:22:48 UTC
When you set columns in a TOC or index, the spacing field should be set to a good default value rather than 0.00" so that a user doesnt need to modify this value, unless they want to be specific.
Comment 1 Buovjaga 2015-03-25 19:00:59 UTC
Sure -> NEW.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 2 Robinson Tryon (qubit) 2016-08-25 05:26:57 UTC Comment hidden (obsolete)
Comment 3 Heiko Tietze 2017-08-28 15:07:56 UTC
We use the same defaults for paragraph/page columns. So any objections to go with 0.2cm for column spacing in general?
Comment 4 Regina Henschel 2017-08-29 07:28:49 UTC
Created attachment 135839 [details]
page 68

(In reply to Heiko Tietze from comment #3)
> We use the same defaults for paragraph/page columns. So any objections to go
> with 0.2cm for column spacing in general?

The value 0.2cm is too small. The attachment is a scan from the textbock
Gublins, Jürgen: Mut zur Typographie:ein Kurs für Desktop-Publishing. Springer-Verlag Heidelberg 2000, 2.Aufl.

There exist no fix, correct value, but it depends on e.g. font size. The width of "mi" can be taken as a rough guide. Find a table on page 70. You will notice, that 3.2mm is the smallest value there.
Comment 5 Regina Henschel 2017-08-29 07:29:15 UTC
Created attachment 135840 [details]
page 69
Comment 6 Regina Henschel 2017-08-29 07:30:16 UTC
Created attachment 135841 [details]
page 70
Comment 7 Heiko Tietze 2017-08-29 08:15:55 UTC
Found another site supporting 0.4cm (here 1 pica): http://printwiki.org/Gutter
Comment 8 Heiko Tietze 2017-08-31 14:34:02 UTC
We discussed the topic in the design meeting today. The recommendation is to go with 0.6cm (like Calligra) as the default.

Removing needsUX, and it is likely an easyhack.
Comment 9 saran.chava143 2018-01-14 05:49:21 UTC
Hello! I am a newbie in bug fixing,can you please help in fixing this bug?
Comment 10 saran.chava143 2018-01-14 05:56:16 UTC
(In reply to saran.chava143 from comment #9)
> Hello! I am a newbie in bug fixing,can you please help in fixing this bug?

Can you please assign me this bug to work on?
Comment 11 Heiko Tietze 2018-01-14 09:39:17 UTC
(In reply to saran.chava143 from comment #10)
> Can you please assign me this bug to work on?

You can "take" it yourself. Bad news is that the issue has been solved with bug 67670. The column settings of a page are the same as for TOC. The patch https://gerrit.libreoffice.org/#/c/43964/ is merged into master and will be available in 6.0.

Sorry, but I'm sure you find another issue that can be fixed easily.